Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0483-1: moderate: Security update for expat
openSUSE Security Update: Security update for expat
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0483-1
Rating: moderate
References: #983215 #983216
Cross-References: CVE-2012-6702 CVE-2016-5300
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


This update for expat fixes the following security issues:

- CVE-2012-6702: Expat, when used in a parser that has not called
XML_SetHashSalt or passed it a seed of 0, made it easier for
context-dependent attackers to defeat cryptographic protection
mechanisms via vectors involving use of the srand function. (bsc#983215)
- CVE-2016-5300: The XML parser in Expat did not use sufficient entropy
for hash initialization, which allowed context-dependent attackers to
cause a denial of service (CPU consumption) via crafted identifiers in
an XML document. NOTE: this vulnerability exists because of an
incomplete fix for CVE-2012-0876. (bsc#983216)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-260=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-260=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

expat-2.1.0-19.1
expat-debuginfo-2.1.0-19.1
expat-debugsource-2.1.0-19.1
libexpat-devel-2.1.0-19.1
libexpat1-2.1.0-19.1
libexpat1-debuginfo-2.1.0-19.1

- openSUSE Leap 42.2 (x86_64):

expat-debuginfo-32bit-2.1.0-19.1
libexpat-devel-32bit-2.1.0-19.1
libexpat1-32bit-2.1.0-19.1
libexpat1-debuginfo-32bit-2.1.0-19.1

- openSUSE Leap 42.1 (i586 x86_64):

expat-2.1.0-20.1
expat-debuginfo-2.1.0-20.1
expat-debugsource-2.1.0-20.1
libexpat-devel-2.1.0-20.1
libexpat1-2.1.0-20.1
libexpat1-debuginfo-2.1.0-20.1

- openSUSE Leap 42.1 (x86_64):

expat-debuginfo-32bit-2.1.0-20.1
libexpat-devel-32bit-2.1.0-20.1
libexpat1-32bit-2.1.0-20.1
libexpat1-debuginfo-32bit-2.1.0-20.1


References:

https://www.suse.com/security/cve/CVE-2012-6702.html
https://www.suse.com/security/cve/CVE-2016-5300.html
https://bugzilla.suse.com/983215
https://bugzilla.suse.com/983216


< Previous Next >
This Thread
  • No further messages